/**
* LICENSE 
* Bonita
* Copyright (C) 2005 Bull S.A.
* Bull 68 route de versailles  78434 Louveciennes Cedex France
* Further information: bonita@objectweb.org
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*/
package org.ow2.proed.chi.test;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.ow2.proed.chi.test.graphModel.AtomicActivityTest;
import org.ow2.proed.chi.test.graphModel.RootActivityTest;
import org.ow2.proed.chi.test.graphModel.SubflowTest;


/**
 * TestLauncher.java
 * Created on 21 juin 2005
 * 
 * @author Ducreux Evelyne - Gonthier Manu�la
 * @version $Id: TestLauncher.java 3505 2008-09-18 13:16:10Z vigneras $
 * <p>
 */
public class TestLauncher
{

    public static void main (String[] args) {
		junit.textui.TestRunner.run (suite());
	}
    
	public static Test suite ( ) {
		TestSuite suite= new TestSuite("All ProEd Tests");
		//suite.addTest(XPDLtest.suite());
		//suite.addTest(ImportSubflowTest.suite());
		suite.addTest(AtomicActivityTest.suite());
		suite.addTest(RootActivityTest.suite());
		suite.addTest(SubflowTest.suite());
	    return suite;
	}
}
